﻿$ErrorActionPreference = 'Stop';

$packageName= 'metricbeat'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://artifacts.elastic.co/downloads/beats/metricbeat/metricbeat-6.2.2-windows-x86.zip'
$url64      = 'https://artifacts.elastic.co/downloads/beats/metricbeat/metricbeat-6.2.2-windows-x86_64.zip'

$installationPath = $toolsDir

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $installationPath
  url           = $url
  url64bit      = $url64
  checksum      = 'd4b0a7990b4bac924541c4640bc49441f82531ec52a4a4b927efbd4c30e4d293c78bb37f5ec456acfb3b766c046d950c7428b6d52daaa02a0046f3e6c3d5cd01'
  checksumType  = 'sha512'
  checksum64    = '9360aed70718de38c3fbf223cbbf055f950680ed3fb71346f9270612db18f8dcee57cc1ad7e397afa55bd30130cf48290fbd0d76ae73f8f8c7353ab0f68cf026'
  checksumType64= 'sha512'
}

Install-ChocolateyZipPackage @packageArgs

$pTemp = (dir $installationPath  $packageName*).Name
Invoke-Expression $(Join-Path $installationPath "$($pTemp)\install-service-$($packageName).ps1")
